# Class Control

java.lang.Object
javax.sound.sampled.Control

Direct Known Subclasses:
  `BooleanControl, CompoundControl, EnumControl, FloatControl`

public abstract class Control extends Object
`Lines` often have a set of controls, such as gain and pan, that affect the audio signal passing through the line. Java Sound's `Line` objects let you obtain a particular control object by passing its class as the argument to a `getControl` method.

Because the various types of controls have different purposes and features, all of their functionality is accessed from the subclasses that define each kind of control.

Since:
  1.3
See Also:
  - `Line.getControls()`
  - `Line.isControlSupported(Control.Type)`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Control.Type`
An instance of the `Type` class represents the type of the control.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Control(Control.Type type)`
Constructs a control with the specified type.

## Method Summary

Modifier and Type
Method
Description
`Control.Type`
`getType()`
Obtains the control's type.
`String`
`toString()`
Returns a string representation of the control.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### Control

protected Control(Control.Type type)
Constructs a control with the specified type.

Parameters:
  `type` - the kind of control desired

## Method Details

### getType

public Control.Type getType()
Obtains the control's type.

Returns:
  the control's type

### toString

public String toString()
Returns a string representation of the control.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the control